Debian Bug report logs - #689769
Ample ships a /var/run/ample folder: Policy 9.3.2

version graph

Package: ample; Maintainer for ample is Debian QA Group <packages@qa.debian.org>; Source for ample is src:ample.

Reported by: Thomas Goirand <zigo@debian.org>

Date: Sat, 6 Oct 2012 08:06:01 UTC

Severity: serious

Tags: patch

Found in version ample/0.5.7-6

Fixed in version ample/0.5.7-7

Done: Michael Stapelberg <stapelberg@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Rene Mayorga <rmayorga@debian.org.sv>:
Bug#689769; Package ample. (Sat, 06 Oct 2012 08:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
New Bug report received and forwarded. Copy sent to Rene Mayorga <rmayorga@debian.org.sv>. (Sat, 06 Oct 2012 08:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Ample ships a /var/run/ample folder: Policy 9.3.2
Date: Sat, 06 Oct 2012 16:02:28 +0800
Package: ample
Version: 0.5.7-6
Severity: serious

/var/run may be a temporary filesystem, so any directories or files needed
/there must be created dynamically at boot time.

Refer to Debian Policy Manual section 9.3.2 (Writing the scripts) for
details.

Cheers,

Thomas Goirand (zigo)



Information forwarded to debian-bugs-dist@lists.debian.org, Rene Mayorga <rmayorga@debian.org.sv>:
Bug#689769; Package ample. (Sun, 07 Oct 2012 15:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to Rene Mayorga <rmayorga@debian.org.sv>. (Sun, 07 Oct 2012 15:36:05 GMT) Full text and rfc822 format available.

Message #10 received at 689769@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: 689769@bugs.debian.org
Subject: Patch for this bug
Date: Sun, 07 Oct 2012 23:32:06 +0800
[Message part 1 (text/plain, inline)]
Hi,

Here's a possible patch for fixing this bug.

Cheers,

Thomas
[ample_0.5.7-6.1.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Rene Mayorga <rmayorga@debian.org.sv>:
Bug#689769; Package ample. (Sun, 07 Oct 2012 16:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to René Mayorga <rmayorga@debian.org>:
Extra info received and forwarded to list. Copy sent to Rene Mayorga <rmayorga@debian.org.sv>. (Sun, 07 Oct 2012 16:36:06 GMT) Full text and rfc822 format available.

Message #15 received at 689769@bugs.debian.org (full text, mbox):

From: René Mayorga <rmayorga@debian.org>
To: Thomas Goirand <thomas@goirand.fr>, 689769@bugs.debian.org
Subject: Re: Bug#689769: Patch for this bug
Date: Sun, 7 Oct 2012 10:26:42 -0600
On Sun, Oct 07, 2012 at 11:32:06PM +0800, Thomas Goirand wrote:
> Hi,
> 

Hi Thomas, 

> Here's a possible patch for fixing this bug.

Thanks for your bug report and your patch, I've filled an RFA for this package
and there is one ITA there but maybe needs to be renamed to RFA again though.

I'll try to upload the package during the next week, but anyway feel free to NMU
it(you or someone else).


Cheers

--
René



Added tag(s) patch. Request was from Dominik George <nik@naturalnet.de> to control@bugs.debian.org. (Mon, 22 Oct 2012 12:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Rene Mayorga <rmayorga@debian.org.sv>:
Bug#689769; Package ample. (Sat, 03 Nov 2012 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Dangel <uli@debian.org>:
Extra info received and forwarded to list. Copy sent to Rene Mayorga <rmayorga@debian.org.sv>. (Sat, 03 Nov 2012 14:00:03 GMT) Full text and rfc822 format available.

Message #22 received at 689769@bugs.debian.org (full text, mbox):

From: Ulrich Dangel <uli@debian.org>
To: 689769@bugs.debian.org
Subject: ample: diff for NMU version 0.5.7-6.1
Date: Sat, 3 Nov 2012 13:58:38 +0000
[Message part 1 (text/plain, inline)]
tags 689769 + pending
thanks

Dear maintainer,

I've prepared an NMU for ample (versioned as 0.5.7-6.1) and
uploaded it to DELAYED/5. Please feel free to tell me if I
should delay it longer.

Regards.
[ample-0.5.7-6.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Ulrich Dangel <uli@debian.org> to control@bugs.debian.org. (Sat, 03 Nov 2012 14:00:05 GMT) Full text and rfc822 format available.

Reply sent to Ulrich Dangel <uli@debian.org>:
You have taken responsibility. (Thu, 08 Nov 2012 14:51:14 GMT) Full text and rfc822 format available.

Notification sent to Thomas Goirand <zigo@debian.org>:
Bug acknowledged by developer. (Thu, 08 Nov 2012 14:51:14 GMT) Full text and rfc822 format available.

Message #29 received at 689769-close@bugs.debian.org (full text, mbox):

From: Ulrich Dangel <uli@debian.org>
To: 689769-close@bugs.debian.org
Subject: Bug#689769: fixed in ample 0.5.7-6.1
Date: Thu, 08 Nov 2012 14:47:28 +0000
Source: ample
Source-Version: 0.5.7-6.1

We believe that the bug you reported is fixed in the latest version of
ample, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689769@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ulrich Dangel <uli@debian.org> (supplier of updated ample package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 03 Nov 2012 13:53:23 +0000
Source: ample
Binary: ample
Architecture: source amd64
Version: 0.5.7-6.1
Distribution: unstable
Urgency: low
Maintainer: Rene Mayorga <rmayorga@debian.org.sv>
Changed-By: Ulrich Dangel <uli@debian.org>
Description: 
 ample      - A simple MP3 server easy to use
Closes: 689769
Changes: 
 ample (0.5.7-6.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Create /var/run/ample at startup, Thanks to Thomas Goirand for the patch.
     (Closes: #689769)
   * Depend on $remote_fs in init script.
Checksums-Sha1: 
 8a3c847ab56042ab380f9cd3b473fbb70aac57c7 1695 ample_0.5.7-6.1.dsc
 4c1516145b5e28d65fa06c6b8e6d6c50b33a8899 7346 ample_0.5.7-6.1.diff.gz
 1768dfd75b01b7618f386ede0f234da5bf577a23 42724 ample_0.5.7-6.1_amd64.deb
Checksums-Sha256: 
 9b0fd3901037bb99017420c00dd710f28c94644b63b59965f4d443fd78b2e81f 1695 ample_0.5.7-6.1.dsc
 12ff8109b4a70a33280e6380cb1e314ab3206c44f41bedd31bdec53ed09bddc3 7346 ample_0.5.7-6.1.diff.gz
 14cab2404154fea835d3f4e67d63d15089492979488eca48503cdf1e53b2283d 42724 ample_0.5.7-6.1_amd64.deb
Files: 
 6fca447fcf130c7eee58c19c18d434f9 1695 sound optional ample_0.5.7-6.1.dsc
 9386574ca6eeec868ce734aa8d3c6232 7346 sound optional ample_0.5.7-6.1.diff.gz
 ed020052f16384a52277c8d57ed415c2 42724 sound optional ample_0.5.7-6.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJQlSOjAAoJEASq5bOX8aqsJl4P/jDgQK6drL2FjAR61hXzPKK5
Te8Jft9JQCxikyahAdkG0I5/+pMXgkb6MbfXOWbnAY8s/Ybviy9EP04df4u4OQQG
cwnOrNgnjj3wcu7IkHe+N12/RhQHDtY9W2JFJkSLpHVsKzUadQgsItC8w/BGzDoG
38jhQJlmPx+y60JedWTYPpS2IgTOf+4Q1QPSE1aTAPbtBgf5tSZ7t0KD1MpT31kw
jqVntY+PuN+iO8DM/cwvd3OkS+uxRL1VYAR0J9H/V2D8vdXESFKa8vSAP2QrmeTk
wD9YGIGZe0Xj+X0M65Jk/y0K8T6MxjF93HRrxOdD1/nwUvTSAgnSKGCgxvJz+QT0
AaZaIo9w0TkDCNwM9atbTlM9BY/h22THS7SwrlKahrwLs0SZzvtp28zYwgExe8uH
8AFcMRSVX0H9YscnANEDiKGVPKZ6keGMn1O6MeN8fPmpdtEO9sj3WSusGxCieHgq
Hg0BbH7hnXSBYH4QK22rUh5DkG8lcH5300SOF2rqhW8vArwhymMWIA133lGlipSs
4IIlbuIgL7RpWma8iXhs56gzkqHrnsjTCI5uHdCuYLMyUW9JQsTrO7wMdMKf2p97
4DT+9OwHbiDmohAZQyujBSwKKaMhzyZ1vqxAIlbjQc2XDvhS0uwInhQBSuffPefL
0NLPeIbUNMIOoklHkuev
=95hj
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Rene Mayorga <rmayorga@debian.org.sv>:
Bug#689769; Package ample. (Sun, 25 Nov 2012 20:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Rene Mayorga <rmayorga@debian.org.sv>. (Sun, 25 Nov 2012 20:27:04 GMT) Full text and rfc822 format available.

Message #34 received at 689769@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ulrich Dangel <uli@debian.org>, 689769@bugs.debian.org
Subject: Re: Bug#689769: ample: diff for NMU version 0.5.7-6.1
Date: Sun, 25 Nov 2012 21:26:26 +0100
[Message part 1 (text/plain, inline)]
Control: reopen 689769

On Sat, Nov  3, 2012 at 13:58:38 +0000, Ulrich Dangel wrote:

> tags 689769 + pending
> thanks
> 
> Dear maintainer,
> 
> I've prepared an NMU for ample (versioned as 0.5.7-6.1) and
> uploaded it to DELAYED/5. Please feel free to tell me if I
> should delay it longer.
> 
> Regards.

> diff -u ample-0.5.7/debian/postrm ample-0.5.7/debian/postrm
> --- ample-0.5.7/debian/postrm
> +++ ample-0.5.7/debian/postrm
> @@ -5,12 +5,7 @@
>  case "$1" in
>      purge|remove)
>      if [ -d /var/run/ample ]; then
> -        rmdir /var/run/ample
> -	
> -	# delete override if exists
> -	if dpkg-statoverride --list /var/run/ample >/dev/null; then
> -		dpkg-statoverride --remove /var/run/ample >/dev/null
> -	fi
> +        rmdir /var/run/ample || true
>      fi
>      ;;

Why are you ignoring errors?

>      upgrade|abort-upgrade|failed-upgrade|abort-install|disapper)
> diff -u ample-0.5.7/debian/init.d ample-0.5.7/debian/init.d
> --- ample-0.5.7/debian/init.d
> +++ ample-0.5.7/debian/init.d
> @@ -1,13 +1,13 @@
>  #! /bin/sh
>  ### BEGIN INIT INFO
>  # Provides:          ample
> -# Required-Start:    $network
> -# Required-Stop:     
> +# Required-Start:    $remote_fs $network
> +# Required-Stop:     $remote_fs
>  # Default-Start:     2 3 4 5
>  # Default-Stop:      0 1 6
>  # Short-Description: Ample MP3 server
>  # Description:       Simple MP3 Server
> -#                   
> +#
>  ### END INIT INFO
>  
>  # Author: Rene Mayorga <rmayorga@debian.org.sv>
> @@ -27,8 +27,8 @@
>  # Read configuration variable file if it is present
>  [ -r /etc/default/$NAME ] && . /etc/default/$NAME
>  
> -if [ -z "$STARTAMPLE" ] ; then 
> -	exit 0 
> +if [ -z "$STARTAMPLE" ] ; then
> +	exit 0
>  fi
>  
>  if [ "$STARTAMPLE" != "no" ] ; then
> @@ -43,6 +43,13 @@
>  
>  . /lib/lsb/init-functions
>  
> +if ! [ -d /var/run/ample ] ; then
> +	mkdir -p /var/run/ample || true

Why are you
1) using -p
2) ignoring errors
?

> +	if [ -d /var/run/ample ] ; then
> +		chown ${DEFUSER:-nobody}:${DEFGROUP:-nogroup} /var/run/ample
> +	fi

The whole point of nobody/nogroup is they don't own anything.  This is
broken.

> +fi
> +
>  do_start()
>  {
>  	# Return

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug reopened Request was from Julien Cristau <jcristau@debian.org> to 689769-submit@bugs.debian.org. (Sun, 25 Nov 2012 20:27:04 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions ample/0.5.7-6.1. Request was from Julien Cristau <jcristau@debian.org> to 689769-submit@bugs.debian.org. (Sun, 25 Nov 2012 20:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Rene Mayorga <rmayorga@debian.org.sv>:
Bug#689769; Package ample. (Wed, 28 Nov 2012 03:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Rene Mayorga <rmayorga@debian.org.sv>. (Wed, 28 Nov 2012 03:00:04 GMT) Full text and rfc822 format available.

Message #43 received at 689769@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 689769@bugs.debian.org
Subject: re: Ample ships a /var/run/ample folder: Policy 9.3.2
Date: Tue, 27 Nov 2012 21:56:59 -0500
control: tag -1 -patch

Removing patch tag since some work needs to be done here.

Best wishes,
Mike



Removed tag(s) patch. Request was from Michael Gilbert <mgilbert@debian.org> to 689769-submit@bugs.debian.org. (Wed, 28 Nov 2012 03:00:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Rene Mayorga <rmayorga@debian.org.sv>:
Bug#689769; Package ample. (Tue, 04 Dec 2012 21:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to Rene Mayorga <rmayorga@debian.org.sv>. (Tue, 04 Dec 2012 21:21:03 GMT) Full text and rfc822 format available.

Message #50 received at 689769@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Ulrich Dangel <uli@debian.org>, 689769@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#689769: ample: diff for NMU version 0.5.7-6.1
Date: Tue, 4 Dec 2012 22:19:03 +0100
[Message part 1 (text/plain, inline)]
tags 689769 + pending patch
thanks

On Sun, 25 Nov 2012 21:26:26 +0100
Julien Cristau <jcristau@debian.org> wrote:
> > +	if [ -d /var/run/ample ] ; then
> > +		chown
> > ${DEFUSER:-nobody}:${DEFGROUP:-nogroup} /var/run/ample
> > +	fi
> 
> The whole point of nobody/nogroup is they don't own anything.  This is
> broken.
I have uploaded ample 0.5.7-7 (QA upload because it’s effectively
orphaned) to DELAYED/5.

It contains a patch to make ample drop privileges instead of using
start-stop-daemon’s --chuid, so that ample can create the pidfile as
root. Furthermore, I have changed the pidfile location
to /var/run/ample.pid since ample does not require any other files
in /var/run/.

The debdiff is attached.

Julien, I’d be thankful if you could review these changes and speak up
in case I should correct anything. Thanks.

-- 
Best regards,
Michael
[ample.debdiff (application/octet-stream, attachment)]

Added tag(s) pending and patch. Request was from Michael Stapelberg <stapelberg@debian.org> to control@bugs.debian.org. (Tue, 04 Dec 2012 21:21:05 GMT) Full text and rfc822 format available.

Reply sent to Michael Stapelberg <stapelberg@debian.org>:
You have taken responsibility. (Mon, 10 Dec 2012 12:06:09 GMT) Full text and rfc822 format available.

Notification sent to Thomas Goirand <zigo@debian.org>:
Bug acknowledged by developer. (Mon, 10 Dec 2012 12:06:09 GMT) Full text and rfc822 format available.

Message #57 received at 689769-close@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: 689769-close@bugs.debian.org
Subject: Bug#689769: fixed in ample 0.5.7-7
Date: Mon, 10 Dec 2012 12:02:28 +0000
Source: ample
Source-Version: 0.5.7-7

We believe that the bug you reported is fixed in the latest version of
ample, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689769@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Stapelberg <stapelberg@debian.org> (supplier of updated ample package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 04 Dec 2012 22:05:44 +0100
Source: ample
Binary: ample
Architecture: source amd64
Version: 0.5.7-7
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Michael Stapelberg <stapelberg@debian.org>
Description: 
 ample      - A simple MP3 server easy to use
Closes: 689769
Changes: 
 ample (0.5.7-7) unstable; urgency=low
 .
   * QA upload.
   * Move pidfile to /var/run/ample.pid (Closes: #689769)
   * Drop privileges in ample, not with start-stop-daemon, so that pidfile can
     be created without being owned by nobody:nogroup.
Checksums-Sha1: 
 206b82828934da5151573d4d83a675b84bae981b 1692 ample_0.5.7-7.dsc
 ed63405d8f12d3c6d5e84f3dfa93523760e09eef 7980 ample_0.5.7-7.diff.gz
 31a3c185e27cc380cf3a28440e24105818514a7d 42970 ample_0.5.7-7_amd64.deb
Checksums-Sha256: 
 eb2d24a86421280972f959863053f739030eb4c658f3f35a31e29ad18a6caa12 1692 ample_0.5.7-7.dsc
 b18cfd59de20c4fe305a117ab91378279d266faec960171acd2f7c7d178b732e 7980 ample_0.5.7-7.diff.gz
 e071c04d0b47564529870cafa7f2f8c296ee6f43b31f6b34e4fc3e36c5a2a1b8 42970 ample_0.5.7-7_amd64.deb
Files: 
 c3f4ce276716b169b56ceffa0403c7fe 1692 sound optional ample_0.5.7-7.dsc
 1d07e16e768d093972a7aa498b9d26f2 7980 sound optional ample_0.5.7-7.diff.gz
 4fd09f264c968a6406a099e00220c27c 42970 sound optional ample_0.5.7-7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQvmeBAAoJEE5xYO1KyO4dd4MP/ik3xohivb1pvypUZUkpsWME
/ueYz6fBfe8VQIHxPZ/L5WWnTF9N6csYuPYty943S+2ZxK5k1lKv8U5978CjVspZ
yUYQUY1YmMxa27bKFZkXmof10EtxDypjsoH9aEeLmjTLRwi5lQfUv06dmjuEfsM0
jbABeejqPxNAZ5xUrDebcb+nebeV/MqiJ/lvolOrdqiWpkt6SNSYvmBBYJXnnN5e
oYC9pvfFnHiAmwxlbi3WiexX2Vez4P7MXHImZ+WwXvFTO8nnQZVJ0/qvrOCVdpk2
Hk/bHaQbqGRptTemyS9C/5eDwJJUNfc/jMdL8JreTvH9WplZiUBT6XC8YOgsOCFU
Vl2IAm42/OFYzNLDCMMKH0MCzavLQJ6hTnQfO1aMh0B2BaMAl/9WfQ3JAB7A2S2g
bLcID46yz6uqSEW1wzbPIMC0tBKTr2urNbdEp9dYuYrwbIArOBGS5a9QUrpwLUfF
jMNWoDliUJEFF11qwYgTSrjDbORVkWwOH++Fm2GKX9NShisoTx3gDW3gQmDXFpNp
qIvCG9lWWWovsjLpOw3CNJyiu6VjgpcszlgVFRyXVQYMl2hiMc+y5rGyam7RtJXj
QZ9+n6b87mQS5atqst6mC3JFTQ3BVMQFK4547xJ6Ek9CZ3X81LE0/HaY8jR1meye
LJXGL0pmGfC4tV3j5ThV
=eNhs
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 08:12:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:08:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.